import React from 'react';
import PropTypes from 'prop-types';
import { propsTypes } from './types';
declare const EventlistingsCard: {
    ({ title, slots, category, copyLink, disabled, onClickEdit, onClickReplicate, onClickDelete, onClickSwitch }: propsTypes): React.ReactElement;
    propTypes: {
        title: PropTypes.Requireable<string>;
        slots: PropTypes.Requireable<any[]>;
        category: PropTypes.Requireable<string>;
        copyLink: PropTypes.Requireable<string>;
        disabled: PropTypes.Requireable<boolean>;
        onClickEdit: PropTypes.Requireable<(...args: any[]) => any>;
        onClickReplicate: PropTypes.Requireable<(...args: any[]) => any>;
        onClickDelete: PropTypes.Requireable<(...args: any[]) => any>;
        onClickSwitch: PropTypes.Requireable<(...args: any[]) => any>;
    };
    defaultProps: {
        title: undefined;
        slots: never[];
        category: undefined;
        copyLink: undefined;
        disabled: undefined;
        onClickEdit: undefined;
        onClickReplicate: undefined;
        onClickDelete: undefined;
        onClickSwitch: undefined;
    };
};
export default EventlistingsCard;
